# db

can be embedded
sql


Need a WAL DB for events
- must be CRDT so we get HA 
- Must publish events
- could be NATS, but prefer something that can be embedded later inside flutter etc. For now it will just be our Server WAL.

Caddy Lets Encrpyt will also use it so that all instances share a single SSL key sotee

## IPFS Lite ?

https://github.com/ipfs/go-ds-crdt/blob/master/examples/globaldb/globaldb.go
- uses CRDT from 
- has PB API: https://github.com/ipfs/go-ds-crdt/tree/master/pb

## orbitdb
https://github.com/orbitdb/orbit-db
- JS, but has what we want

https://github.com/berty/zero-push
- nice push server

devs:
https://github.com/aeddi





## genji

https://genji.dev/
- docs
https://github.com/genjidb/genji
- golang
https://github.com/genjidb/genji.js
- WASM

- still unstable
- cant see how to make it work with server
- cant see how to insert images
- cant see how to make it HA

## IPFS


github.com/ipfs/ipfs-cluster/api
Has a Protobuf API : https://github.com/ipfs/ipfs-cluster/blob/master/api/pb/types.proto

